# ServiceControllerTask.ActionType

[This is preliminary documentation and subject to change.]

Defines the actions that can be performed on a service.

### Fields

Field | Description
--- | ---
Continue | Continues a paused service.
Pause | Pauses a running service.
Restart | Restarts a service.
Start | Starts a service.
Stop | Stops a service.

### Requirements

Assembly: NAnt.MSNetTasks (0.85.1932.0)